### Class

# WebKit2 Plugin

#### Description [src]

    class WebKit2.Plugin : GObject.Object {
      parent: GObject
    }

Represents a plugin, enabling fine-grained control.

This object represents a single plugin, found while scanning the various platform plugin directories. This object can be used to get more information about a plugin, and enable/disable it, allowing fine-grained control of plugins. The list of available plugins can be obtained from the `WebKitWebContext`, with webkit_web_context_get_plugins().

Deprecated since: | 2.32
Please do not use it in newly written code.

#### Ancestors

- GObject

#### Instance methods

###### webkit_plugin_get_description

Obtain the plugin description.

Deprecated since: 2.32

###### webkit_plugin_get_mime_info_list

Get information about MIME types handled by the plugin.

Deprecated since: 2.32

###### webkit_plugin_get_name

Obtain the plugin name.

Deprecated since: 2.32

###### webkit_plugin_get_path

Obtain the absolute path where the plugin is installed.

Deprecated since: 2.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2PluginClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`_webkit_reserved0`

    void (* _webkit_reserved0) (
    void
      )

| No description available.

`_webkit_reserved1`

    void (* _webkit_reserved1) (
    void
      )

| No description available.

`_webkit_reserved2`

    void (* _webkit_reserved2) (
    void
      )

| No description available.

`_webkit_reserved3`

    void (* _webkit_reserved3) (
    void
      )

| No description available.